: Class FileField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Class FileField

    java.lang.Object
      |
      +--org.w3c.tools.forms.FormField
            |
            +--org.w3c.tools.forms.StringField
                  |
                  +--org.w3c.tools.forms.FileField

public class FileField
extends StringField

Fields inherited from class org.w3c.tools.forms.FormField
`manager, name, title`

Constructor Summary
`FileField(FormManager manager, java.lang.String name, java.lang.String title)`
`FileField(FormManager manager, java.lang.String name, java.lang.String title, java.io.File value)`

Method Summary
`java.io.File` | `getFileValue()` Get this field's value as a File instance.
`java.lang.Object` | `getValue()` Get this field's value in its native type.
`void` | `setValue(java.io.File value, boolean notify, boolean update)` Set this field's value.
`void` | `setValue(java.lang.Object object, boolean notify, boolean update)` Set this field's value using the native type.

Methods inherited from class org.w3c.tools.forms.StringField
`acceptChange, getEditor, getStringValue, setValue`

Methods inherited from class org.w3c.tools.forms.FormField
`getName, getTitle, gotFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileField

    public FileField(FormManager manager,
                     java.lang.String name,
                     java.lang.String title,
                     java.io.File value)

### FileField

    public FileField(FormManager manager,
                     java.lang.String name,
                     java.lang.String title)

Method Detail

### getValue

    public java.lang.Object getValue()

  Get this field's value in its native type.
  Overrides:
    getValue in class StringField
  Returns:
    An instance of File, or null.

### getFileValue

    public java.io.File getFileValue()

  Get this field's value as a File instance.
  Returns:
    An instance of FIle, or null.

### setValue

    public void setValue(java.lang.Object object,
                         boolean notify,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's value using the native type.
  Overrides:
    setValue in class StringField
  Parameters:
    `value` - The new File value for the field.
    `update` - Should we update the editor's view ?
  Throws:
    IllegalFieldValueException - If the value isn't accepted.

### setValue

    public void setValue(java.io.File value,
                         boolean notify,
                         boolean update)
                  throws IllegalFieldValueException

  Set this field's value.
  Parameters:
    `file` - The new File value for the field.
    `update` - Update the editor's view ?
  Throws:
    IllegalFieldValueException - If the value isn't accepted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD